## sysvbanner 1.0

=== Makefile ===
CFLAGS=-Wall -O2

banner: sysvbanner.c
	$(CC) $(CFLAGS) $^ -o $@ $(LDFLAGS)

clean:
	$(RM) banner

=== debian/changelog ===
sysvbanner (1:1.0-19) unstable; urgency=medium

  * Update Makefile patch not to override CFLAGS (Closes: #1119582)
  * Refresh remaining patch with quilt
  * Update Standards-Version to 4.7.2 with no other changes
  * Add Rules-Requires-Root field

 -- Ricardo Mones <mones@debian.org>  Sat, 08 Nov 2025 17:49:34 +0100

sysvbanner (1:1.0-18) unstable; urgency=medium

  * Raise debhelper-compat level to 13
  * Set Standards-Version to 4.6.2, no other changes
  * Update manpage and rewrite in POD format (Closes: #1028289, #1028299)
  * Update years range in copyright

 -- Ricardo Mones <mones@debian.org>  Thu, 12 Jan 2023 00:28:49 +0100

sysvbanner (1:1.0-17) unstable; urgency=medium

  * Set new maintainer address (Closes: #856302)
  * Update Standards-Version to latest, no other changes
  * Set compat level to 12
  * Set current Vcs-* URLs
  * Override odd-historical-debian-changelog-version
  * Remove blank line in changelog
  * Fix lintian insecure-copyright-format-uri

 -- Ricardo Mones <mones@debian.org>  Thu, 16 Jan 2020 00:32:37 +0100

sysvbanner (1:1.0-16) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #856302)
  * Since 1.0-13 revision, the package was converted to native. However, it is
    not a native package. I found #44247, that confirms this situation. Now, I
    am reverting to a non-native package. Consequently:
      - Using 'epoch 1:' to get 1.0-16 revision.
      - Using original upstream tarball, provided by 1.0-1 revision.
      - Moved the manpage, previously provided by a patch, from upstream place
        to debian/.
      - Created patch 10_fix-banner.patch to include string.h and fix a typo.
      - Dropped all unneeded changes in upstream source code.
  * Migrations:
      - debian/copyright to 1.0 format.
      - DebSrc from 1.0 native to 3.0 quilt.
      - DH level to 10.
  * debian/control:
      - Bumped Standards-Version to 4.1.0.
      - Improved the description.
      - Removed the VCS fields because the old maintainer repository no longer
        exists.
  * debian/install: added to install the binary.
  * debian/links: created to provide the sysvbanner command, pointing to
    banner. (LP: #322200)
  * debian/lintian-overrides: removed because it is no longer needed.
  * debian/manpages: added to install the manpage.
  * debian/patches/20_add-GCC-hardening.patch: added to provide CPPFLAGS.
  * debian/README.source: created to tell about VCS fields.
  * debian/rules:
     - Added DEB_BUILD_MAINT_OPTIONS variable to improve GCC hardening.
     - Created target override_dh_strip because this package does not provide
       any symbol inside -dbgsym package.
  * debian/watch: added a fake site to explain about the current status of the
    original upstream homepage.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 21 Sep 2017 15:30:36 -0300

sysvbanner (1.0.15) unstable; urgency=low

  * fix Standards-Version to be 3.8.1
  * add build dependency on debhelper 7 (Closes: #526847)
  * completely redo debian/rules with debhelper 7
  * add debian/compat
  * remove README.debian
  * remove prerm, doubt it's needed anymore
  * adopt package (Closes: #527153)
  * remove dependency on bsdmainutils, remove conflict on old version,
    it is over 10 years old
  * add misc:Depends dependency
  * version number is now 1.0.15, making this a (correct) native package
    - override latest-debian-changelog-entry-changed-to-native
  * add the phrase 'public domain' to d/copyright to get rid of the
    lintian warning
  * add Vcs-* fields

 -- Ryan Niebur <ryanryan52@gmail.com>  Thu, 07 May 2009 00:45:16 -0700

sysvbanner (1.0-14) unstable; urgency=low

  * Upload with correct e-Mail address.

 -- David Frey <dfrey@debian.org>  Sun, 03 May 2009 23:34:03 +0200

sysvbanner (1.0-13) unstable; urgency=low

  * update to standard version 3.8.1.0
  * handle nostrip option (closes: #438083)
  * change permissions of debian/files and debian/substvars
  * orphaned package

 -- David Frey <david@eos.eos.lugs.ch>  Fri, 01 May 2009 21:55:46 +0200

sysvbanner (1.0-12) unstable; urgency=low

  * renamed <strings.h> to <string.h> include to fix compiler warning
  * do not set link to /usr/doc in postinst (fixes lintian bug)
  * make it a foreign Debian package, by creating an "original" .tar.gz
    out of the original shell archive (sysvbanner was posted to
    comp.sources.misc, Volume 3, Issue 71) (closes: #44247)

 -- David Frey <dfrey@debian.org>  Sun, 16 Feb 2003 17:09:07 +0100

sysvbanner (1.0-11) unstable; urgency=low

  * updated standard version, strip binary on install

 -- David Frey <dfrey@debian.org>  Sat, 24 Aug 2002 23:23:53 +0200

sysvbanner (1.0-10) unstable; urgency=low

  * recompile for woody

 -- David Frey <dfrey@debian.org>  Sun,  7 Jan 2001 22:45:35 +0100

sysvbanner (1.0-9) unstable; urgency=low

  * adapted to follow FHS (rules and Makefile updated).

 -- David Frey <dfrey@debian.org>  Sun, 10 Oct 1999 21:16:01 +0200

sysvbanner (1.0-8) unstable; urgency=low

  * recompile for potato.
  * renamed changelog to changelog.Debian

 -- David Frey <dfrey@debian.org>  Sat, 15 May 1999 21:19:05 +0200

sysvbanner (1.0-7) unstable; urgency=low

  * fixed bugs reported by lintian: md5sums-file starting with dot.
  * changed maintainer address to official Debian address.

 -- David Frey <dfrey@debian.org>  Tue, 10 Feb 1998 23:14:56 +0100

sysvbanner (1.0-6) unstable; urgency=low

  * added Conflicts with bsdmainutils (<< 3.3). This removes an overlap as
    reported by Richard Braakman.
  * changed Priority to optional

 -- David Frey <david@eos.lugs.ch>  Sun, 25 Jan 1998 21:55:31 +0100

sysvbanner (1.0-5) unstable; urgency=low

  * updated to match policy 2.3.0.1
  * removed debstd stuff.

 -- David Frey <david@eos.lugs.ch>  Sat, 25 Oct 1997 12:35:55 +0200

sysvbanner (1.0-4) unstable; urgency=low

  * removed frozen from the distribution

 -- David Frey <david@eos.lugs.ch>  Sun, 14 Sep 1997 16:09:53 +0200



=== debian/control ===
Source: sysvbanner
Section: misc
Priority: optional
Maintainer: Ricardo Mones <mones@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/debian/sysvbanner.git
Vcs-Browser: https://salsa.debian.org/debian/sysvbanner
Rules-Requires-Root: no

Package: sysvbanner
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: System-V banner clone
 Displays, horizontally, a 'banner' text in the same way as the System V
 banner does.
 .
 This package provides the banner and sysvbanner commands (the same function).

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

ISO_DATE := $(shell date +%Y-%m-%d -u -d @$(SOURCE_DATE_EPOCH))

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

execute_before_dh_auto_install:
	pod2man --section 1 \
		--center "banner" \
		--release $(DEB_VERSION) \
		--date $(ISO_DATE) \
		debian/banner.pod > debian/banner.1

execute_after_dh_clean:
	rm -f debian/banner.1

## sysvbanner 1.0-7

=== Makefile ===
CFLAGS=-Wall -O2
DESTDIR=

BIN=banner
SRC=$(BIN).c
MAN=$(BIN).1

$(BIN): $(SRC)
	$(CC) $(CFLAGS) $^ -o $@ $(LDFLAGS)

install: $(BIN) $(MAN)
	install -m 755 $(BIN) $(DESTDIR)/usr/bin
	install -m 644 $(MAN) $(DESTDIR)/usr/man/man1

clean:
	$(RM) $(BIN)

=== debian/control ===
Source: sysvbanner
Section: misc
Priority: optional
Maintainer: David Frey <dfrey@debian.org>
Standards-Version: 2.3.0.1

Package: sysvbanner
Architecture: any
Depends: ${shlibs:Depends}, bsdmainutils (>=3.3)
Conflicts: bsdmainutils (<< 3.3)
Description: System-V banner clone
 Displays a `banner' text the same way as the System V banner does: 
 horizontally.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

package = $(shell sed -n -e 's/Package: *\([a-z]\)/\1/p' debian/control)

build:
	make CFLAGS="-O2 -g -Wall" && touch build

clean:
	-rm -f build
	-make clean
	-rm -rf debian/tmp debian/files* core debian/substvars *~

binary-indep:	build
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	build
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && \
	  install -d DEBIAN usr/bin usr/man/man1 usr/doc/$(package)
	make install DESTDIR=`pwd`/debian/tmp
	dpkg-shlibdeps banner
	strip debian/tmp/usr/bin/banner
	cp debian/changelog debian/tmp/usr/doc/$(package)
	gzip -9f debian/tmp/usr/doc/$(package)/*
	cp debian/copyright debian/tmp/usr/doc/$(package)
	cd debian/tmp && gzip -9f usr/man/man1/banner.1
	cd debian/tmp &&\
	  md5sum `find * -name DEBIAN -prune -o -type f -print`\
	   > DEBIAN/md5sums
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: binary binary-arch binary-indep clean checkroot

## sysvbanner 1.0-9

=== debian/rules ===
#!/usr/bin/make -f
#                                                             -*- Makefile -*-
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

package	:= $(shell sed -n -e 's/Package: *\([a-z]\)/\1/p' debian/control)
doc	:= usr/share/doc/$(package)
man	:= usr/share/man/man1
tmp	:= debian/tmp

build:
	make CFLAGS="-O2 -g -Wall" && touch build

clean:
	-rm -f build
	-make clean
	-rm -rf $(tmp) debian/files* core debian/substvars *~

binary-indep:	build
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	build
	-rm -rf $(tmp)
	install -d $(tmp)
	cd $(tmp) && install -d DEBIAN usr/bin $(man) $(doc)
	make install DESTDIR=`pwd`/$(tmp)
	dpkg-shlibdeps banner
	strip $(tmp)/usr/bin/banner
	cp debian/changelog $(tmp)/$(doc)/changelog.Debian
	gzip -9f $(tmp)/$(doc)/*
	cp debian/copyright $(tmp)/$(doc)
	cd $(tmp) && gzip -9f $(man)/*
	cd $(tmp) &&\
	  md5sum `find * -name DEBIAN -prune -o -type f -print`\
	   > DEBIAN/md5sums
	install -m 755 debian/postinst debian/postinst $(tmp)/DEBIAN
	install -m 755 debian/prerm debian/prerm $(tmp)/DEBIAN
	dpkg-gencontrol
	chown -R root.root $(tmp)
	chmod -R go=rX $(tmp)
	dpkg --build $(tmp) ..

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: binary binary-arch binary-indep clean checkroot

## sysvbanner 1.0-10

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 install: $(BIN) $(MAN)
 	install -m 755 $(BIN) $(DESTDIR)/usr/bin
-	install -m 644 $(MAN) $(DESTDIR)/usr/man/man1
+	install -m 644 $(MAN) $(DESTDIR)/usr/share/man/man1
 
 clean:
 	$(RM) $(BIN)

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: David Frey <dfrey@debian.org>
-Standards-Version: 2.3.0.1
+Standards-Version: 3.0.1
 
 Package: sysvbanner
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,7 @@
 	   > DEBIAN/md5sums
 	install -m 755 debian/postinst debian/postinst $(tmp)/DEBIAN
 	install -m 755 debian/prerm debian/prerm $(tmp)/DEBIAN
-	dpkg-gencontrol
+	dpkg-gencontrol -isp
 	chown -R root.root $(tmp)
 	chmod -R go=rX $(tmp)
 	dpkg --build $(tmp) ..

## sysvbanner 1.0.15

=== Makefile ===
DESTDIR=

BIN=banner
SRC=$(BIN).c
MAN=$(BIN).1

$(BIN): $(SRC)
	$(CC) $(CFLAGS) $^ -o $@ $(LDFLAGS)

install: $(BIN) $(MAN)
	install -d $(DESTDIR)/usr/bin
	install -m 755 $(BIN) $(DESTDIR)/usr/bin
	install -d $(DESTDIR)/usr/share/man/man1
	install    -m 644 $(MAN) $(DESTDIR)/usr/share/man/man1

clean:
	$(RM) $(BIN)

=== debian/control ===
Source: sysvbanner
Section: misc
Priority: optional
Maintainer: Ryan Niebur <ryanryan52@gmail.com>
Build-Depends: debhelper (>= 7)
Vcs-Git: git://git.ryan52.info/git/sysvbanner
Vcs-Browser: http://git.ryan52.info/?p=sysvbanner;a=summary
Standards-Version: 3.8.1

Package: sysvbanner
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: System-V banner clone
 Displays a `banner' text the same way as the System V banner does: 
 horizontally.

## sysvbanner 1.0.15build1

=== debian/changelog ===
sysvbanner (1.0.15build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:46:27 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sysvbanner
 Section: misc
 Priority: optional
-Maintainer: Ryan Niebur <ryanryan52@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ryan Niebur <ryanryan52@gmail.com>
 Build-Depends: debhelper (>= 7)
 Vcs-Git: git://git.ryan52.info/git/sysvbanner
 Vcs-Browser: http://git.ryan52.info/?p=sysvbanner;a=summary
